<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Classes/RemotePlayerDebug/RemotePlayerStatDebug.c File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d5/d95/_remote_player_stat_debug_8c.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#enum-members">Enumerations</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle"><div class="title">RemotePlayerStatDebug.c File Reference</div></div>
</div><!--header-->
<div class="contents">

<p><a href="../../d5/d95/_remote_player_stat_debug_8c_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="enum-members" name="enum-members"></a>
Enumerations</h2></td></tr>
<tr class="memitem:a7ffee518582401de98e87c381aa36259"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d95/_remote_player_stat_debug_8c.html#a7ffee518582401de98e87c381aa36259">eRemoteStatType</a> { <a class="el" href="../../d5/d95/_remote_player_stat_debug_8c.html#a7ffee518582401de98e87c381aa36259ac157bdf0b85a40d2619cbc8bc1ae5fe2">NONE</a>
, <a class="el" href="../../d5/d95/_remote_player_stat_debug_8c.html#a7ffee518582401de98e87c381aa36259a095f2ae2906dcde1d93d7d16f62a6c61">DAMAGE_SYSTEM</a> = 1
, <a class="el" href="../../d5/d95/_remote_player_stat_debug_8c.html#a7ffee518582401de98e87c381aa36259a8baa85899e0794f65468baa973a3a1ab">PLAYER_STATS</a> = 2
, <a class="el" href="../../d5/d95/_remote_player_stat_debug_8c.html#a7ffee518582401de98e87c381aa36259adbf1dee1b8cd7ea3c82661943c7b74f4">OTHER</a> = 4
 }</td></tr>
<tr class="separator:a7ffee518582401de98e87c381aa36259"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:aba93fe37bc958ee086cbf5ae61268335"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d95/_remote_player_stat_debug_8c.html#aba93fe37bc958ee086cbf5ae61268335">RemotePlayerStatDebug</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</td></tr>
<tr class="separator:aba93fe37bc958ee086cbf5ae61268335"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1e3b6d38df0786ccf7f938d60e386aae"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d95/_remote_player_stat_debug_8c.html#a1e3b6d38df0786ccf7f938d60e386aae">Init</a> ()</td></tr>
<tr class="memdesc:a1e3b6d38df0786ccf7f938d60e386aae"><td class="mdescLeft">&#160;</td><td class="mdescRight">Launched from 'DayZGame.DeferredInit' to make earlier access, use, and updates impossible (downside of a non-static system)  <a href="../../d5/d95/_remote_player_stat_debug_8c.html#a1e3b6d38df0786ccf7f938d60e386aae">More...</a><br /></td></tr>
<tr class="separator:a1e3b6d38df0786ccf7f938d60e386aae"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaf6ee4d1f067be1038b7a662af6af1bf"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d95/_remote_player_stat_debug_8c.html#aaf6ee4d1f067be1038b7a662af6af1bf">GetPlayer</a> ()</td></tr>
<tr class="separator:aaf6ee4d1f067be1038b7a662af6af1bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa128c1c8624ab52fbecb27b4703d94c0"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d95/_remote_player_stat_debug_8c.html#aa128c1c8624ab52fbecb27b4703d94c0">UpdatePlayerStatsValues</a> ()</td></tr>
<tr class="separator:aa128c1c8624ab52fbecb27b4703d94c0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3ce0dc5450fa5a9ca541cfaabd4b4f08"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d95/_remote_player_stat_debug_8c.html#a3ce0dc5450fa5a9ca541cfaabd4b4f08">InjectDamageSystemValues</a> ()</td></tr>
<tr class="separator:a3ce0dc5450fa5a9ca541cfaabd4b4f08"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adaf647d2a54c7f71db0527cb9c7bd2b8"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d95/_remote_player_stat_debug_8c.html#adaf647d2a54c7f71db0527cb9c7bd2b8">SerializeNames</a> (<a class="el" href="../../d2/d41/classarray.html">array</a>&lt; <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> &gt; names, <a class="el" href="../../d1/d23/_plugin_remote_player_debug_client_8c.html#a3c67c40c8784545258a78499d40ad4cb">eRemoteDebugType</a> type)</td></tr>
<tr class="separator:adaf647d2a54c7f71db0527cb9c7bd2b8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0d0e2ea583af5bfd7f5663c73205c9f7"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d95/_remote_player_stat_debug_8c.html#a0d0e2ea583af5bfd7f5663c73205c9f7">SerializeValues</a> (<a class="el" href="../../d2/d41/classarray.html">array</a>&lt; <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> &gt; values, <a class="el" href="../../d1/d23/_plugin_remote_player_debug_client_8c.html#a3c67c40c8784545258a78499d40ad4cb">eRemoteDebugType</a> type)</td></tr>
<tr class="separator:a0d0e2ea583af5bfd7f5663c73205c9f7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae1b2e01cd24e2e8b018c9615bd3c51b2"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d95/_remote_player_stat_debug_8c.html#ae1b2e01cd24e2e8b018c9615bd3c51b2">Debug</a> ()</td></tr>
<tr class="separator:ae1b2e01cd24e2e8b018c9615bd3c51b2"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="var-members" name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a4b0352d72af34f1f1d1e6394244f8daf"><td class="memItemLeft" align="right" valign="top">enum <a class="el" href="../../d5/d95/_remote_player_stat_debug_8c.html#a7ffee518582401de98e87c381aa36259">eRemoteStatType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d95/_remote_player_stat_debug_8c.html#a4b0352d72af34f1f1d1e6394244f8daf">m_Player</a></td></tr>
<tr class="separator:a4b0352d72af34f1f1d1e6394244f8daf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6b751da22a4fca07497c8ce2e0e4fa32"><td class="memItemLeft" align="right" valign="top">ref <a class="el" href="../../d2/d41/classarray.html">array</a>&lt; ref <a class="el" href="../../df/dcc/class_stat_debug_object.html">StatDebugObject</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d95/_remote_player_stat_debug_8c.html#a6b751da22a4fca07497c8ce2e0e4fa32">m_Stats</a> = new <a class="el" href="../../d2/d41/classarray.html">array</a>&lt;ref <a class="el" href="../../df/dcc/class_stat_debug_object.html">StatDebugObject</a>&gt;</td></tr>
<tr class="separator:a6b751da22a4fca07497c8ce2e0e4fa32"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a47b482481f61a0e0959389f2547b658f"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d95/_remote_player_stat_debug_8c.html#a47b482481f61a0e0959389f2547b658f">m_Name</a></td></tr>
<tr class="separator:a47b482481f61a0e0959389f2547b658f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a37217f2402cbb956d05f4a30e545e45b"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d95/_remote_player_stat_debug_8c.html#a37217f2402cbb956d05f4a30e545e45b">m_Pos</a></td></tr>
<tr class="separator:a37217f2402cbb956d05f4a30e545e45b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Enumeration Type Documentation</h2>
<a id="a7ffee518582401de98e87c381aa36259" name="a7ffee518582401de98e87c381aa36259"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7ffee518582401de98e87c381aa36259">&#9670;&#160;</a></span>eRemoteStatType</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="../../d5/d95/_remote_player_stat_debug_8c.html#a7ffee518582401de98e87c381aa36259">eRemoteStatType</a></td>
        </tr>
      </table>
</div><div class="memdoc">
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a id="a7ffee518582401de98e87c381aa36259ac157bdf0b85a40d2619cbc8bc1ae5fe2" name="a7ffee518582401de98e87c381aa36259ac157bdf0b85a40d2619cbc8bc1ae5fe2"></a>NONE&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a7ffee518582401de98e87c381aa36259a095f2ae2906dcde1d93d7d16f62a6c61" name="a7ffee518582401de98e87c381aa36259a095f2ae2906dcde1d93d7d16f62a6c61"></a>DAMAGE_SYSTEM&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a7ffee518582401de98e87c381aa36259a8baa85899e0794f65468baa973a3a1ab" name="a7ffee518582401de98e87c381aa36259a8baa85899e0794f65468baa973a3a1ab"></a>PLAYER_STATS&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a7ffee518582401de98e87c381aa36259adbf1dee1b8cd7ea3c82661943c7b74f4" name="a7ffee518582401de98e87c381aa36259adbf1dee1b8cd7ea3c82661943c7b74f4"></a>OTHER&#160;</td><td class="fielddoc"></td></tr>
</table>

<p class="definition">Definition at line <a class="el" href="../../d5/d95/_remote_player_stat_debug_8c_source.html#l00001">1</a> of file <a class="el" href="../../d5/d95/_remote_player_stat_debug_8c_source.html">RemotePlayerStatDebug.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a id="ae1b2e01cd24e2e8b018c9615bd3c51b2" name="ae1b2e01cd24e2e8b018c9615bd3c51b2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae1b2e01cd24e2e8b018c9615bd3c51b2">&#9670;&#160;</a></span>Debug()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="../../da/d7d/class_debug.html">Debug</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d95/_remote_player_stat_debug_8c_source.html#l00088">88</a> of file <a class="el" href="../../d5/d95/_remote_player_stat_debug_8c_source.html">RemotePlayerStatDebug.c</a>.</p>

</div>
</div>
<a id="aaf6ee4d1f067be1038b7a662af6af1bf" name="aaf6ee4d1f067be1038b7a662af6af1bf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaf6ee4d1f067be1038b7a662af6af1bf">&#9670;&#160;</a></span>GetPlayer()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> GetPlayer </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d95/_remote_player_stat_debug_8c_source.html#l00031">31</a> of file <a class="el" href="../../d5/d95/_remote_player_stat_debug_8c_source.html">RemotePlayerStatDebug.c</a>.</p>

</div>
</div>
<a id="a1e3b6d38df0786ccf7f938d60e386aae" name="a1e3b6d38df0786ccf7f938d60e386aae"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1e3b6d38df0786ccf7f938d60e386aae">&#9670;&#160;</a></span>Init()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Init </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Launched from 'DayZGame.DeferredInit' to make earlier access, use, and updates impossible (downside of a non-static system) </p>
<p >script functions</p>
<p >called by engine right after creation of entity </p>

<p class="definition">Definition at line <a class="el" href="../../d5/d95/_remote_player_stat_debug_8c_source.html#l00023">23</a> of file <a class="el" href="../../d5/d95/_remote_player_stat_debug_8c_source.html">RemotePlayerStatDebug.c</a>.</p>

</div>
</div>
<a id="a3ce0dc5450fa5a9ca541cfaabd4b4f08" name="a3ce0dc5450fa5a9ca541cfaabd4b4f08"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3ce0dc5450fa5a9ca541cfaabd4b4f08">&#9670;&#160;</a></span>InjectDamageSystemValues()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void InjectDamageSystemValues </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d95/_remote_player_stat_debug_8c_source.html#l00041">41</a> of file <a class="el" href="../../d5/d95/_remote_player_stat_debug_8c_source.html">RemotePlayerStatDebug.c</a>.</p>

</div>
</div>
<a id="aba93fe37bc958ee086cbf5ae61268335" name="aba93fe37bc958ee086cbf5ae61268335"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aba93fe37bc958ee086cbf5ae61268335">&#9670;&#160;</a></span>RemotePlayerStatDebug()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void RemotePlayerStatDebug </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d95/_remote_player_stat_debug_8c_source.html#l00016">16</a> of file <a class="el" href="../../d5/d95/_remote_player_stat_debug_8c_source.html">RemotePlayerStatDebug.c</a>.</p>

</div>
</div>
<a id="adaf647d2a54c7f71db0527cb9c7bd2b8" name="adaf647d2a54c7f71db0527cb9c7bd2b8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adaf647d2a54c7f71db0527cb9c7bd2b8">&#9670;&#160;</a></span>SerializeNames()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void SerializeNames </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/d41/classarray.html">array</a>&lt; <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> &gt;&#160;</td>
          <td class="paramname"><em>names</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d1/d23/_plugin_remote_player_debug_client_8c.html#a3c67c40c8784545258a78499d40ad4cb">eRemoteDebugType</a>&#160;</td>
          <td class="paramname"><em>type</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d95/_remote_player_stat_debug_8c_source.html#l00048">48</a> of file <a class="el" href="../../d5/d95/_remote_player_stat_debug_8c_source.html">RemotePlayerStatDebug.c</a>.</p>

</div>
</div>
<a id="a0d0e2ea583af5bfd7f5663c73205c9f7" name="a0d0e2ea583af5bfd7f5663c73205c9f7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0d0e2ea583af5bfd7f5663c73205c9f7">&#9670;&#160;</a></span>SerializeValues()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void SerializeValues </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/d41/classarray.html">array</a>&lt; <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> &gt;&#160;</td>
          <td class="paramname"><em>values</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d1/d23/_plugin_remote_player_debug_client_8c.html#a3c67c40c8784545258a78499d40ad4cb">eRemoteDebugType</a>&#160;</td>
          <td class="paramname"><em>type</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d95/_remote_player_stat_debug_8c_source.html#l00068">68</a> of file <a class="el" href="../../d5/d95/_remote_player_stat_debug_8c_source.html">RemotePlayerStatDebug.c</a>.</p>

</div>
</div>
<a id="aa128c1c8624ab52fbecb27b4703d94c0" name="aa128c1c8624ab52fbecb27b4703d94c0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa128c1c8624ab52fbecb27b4703d94c0">&#9670;&#160;</a></span>UpdatePlayerStatsValues()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void UpdatePlayerStatsValues </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d95/_remote_player_stat_debug_8c_source.html#l00036">36</a> of file <a class="el" href="../../d5/d95/_remote_player_stat_debug_8c_source.html">RemotePlayerStatDebug.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="a47b482481f61a0e0959389f2547b658f" name="a47b482481f61a0e0959389f2547b658f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a47b482481f61a0e0959389f2547b658f">&#9670;&#160;</a></span>m_Name</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> m_Name</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d95/_remote_player_stat_debug_8c_source.html#l00014">14</a> of file <a class="el" href="../../d5/d95/_remote_player_stat_debug_8c_source.html">RemotePlayerStatDebug.c</a>.</p>

</div>
</div>
<a id="a4b0352d72af34f1f1d1e6394244f8daf" name="a4b0352d72af34f1f1d1e6394244f8daf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4b0352d72af34f1f1d1e6394244f8daf">&#9670;&#160;</a></span>m_Player</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="../../d5/d95/_remote_player_stat_debug_8c.html#a7ffee518582401de98e87c381aa36259">eRemoteStatType</a> m_Player</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a37217f2402cbb956d05f4a30e545e45b" name="a37217f2402cbb956d05f4a30e545e45b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a37217f2402cbb956d05f4a30e545e45b">&#9670;&#160;</a></span>m_Pos</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d7/dfc/classvector.html">vector</a> m_Pos</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d95/_remote_player_stat_debug_8c_source.html#l00015">15</a> of file <a class="el" href="../../d5/d95/_remote_player_stat_debug_8c_source.html">RemotePlayerStatDebug.c</a>.</p>

</div>
</div>
<a id="a6b751da22a4fca07497c8ce2e0e4fa32" name="a6b751da22a4fca07497c8ce2e0e4fa32"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6b751da22a4fca07497c8ce2e0e4fa32">&#9670;&#160;</a></span>m_Stats</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ref <a class="el" href="../../d2/d41/classarray.html">array</a>&lt;ref <a class="el" href="../../df/dcc/class_stat_debug_object.html">StatDebugObject</a>&gt; m_Stats = new <a class="el" href="../../d2/d41/classarray.html">array</a>&lt;ref <a class="el" href="../../df/dcc/class_stat_debug_object.html">StatDebugObject</a>&gt;</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d95/_remote_player_stat_debug_8c_source.html#l00013">13</a> of file <a class="el" href="../../d5/d95/_remote_player_stat_debug_8c_source.html">RemotePlayerStatDebug.c</a>.</p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_f61fac3e195407e8bd798ede36822932.html">Classes</a></li><li class="navelem"><a class="el" href="../../dir_73ec14e432ce8b00d2cbc803eb45390e.html">RemotePlayerDebug</a></li><li class="navelem"><a class="el" href="../../d5/d95/_remote_player_stat_debug_8c.html">RemotePlayerStatDebug.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
